Skip to main content
GET
/
prompts
/
{promptId}
/
evaluations
/
{evaluationId}
Get an evaluation
curl --request GET \
  --url https://api.adaline.ai/v2/prompts/{promptId}/evaluations/{evaluationId} \
  --header 'Authorization: Bearer <token>'
{
  "runId": "<string>",
  "evaluatorId": "<string>",
  "status": "queued",
  "progress": {
    "totalRows": 123,
    "completedRows": 123,
    "failedRows": 123,
    "percent": 50
  },
  "metrics": {
    "passRuns": 123,
    "failRuns": 123,
    "unknownRuns": 123,
    "totalCost": 123,
    "totalLatency": 123,
    "totalTokenCount": 123
  },
  "timeline": {
    "submittedAt": 17450965800000,
    "startedAt": 123,
    "finishedAt": 123
  },
  "datasetId": "<string>"
}

Authorizations

Authorization
string
header
required

Workspace API key. Pass as Authorization: Bearer <key>.

Path Parameters

promptId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
evaluationId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80

Response

Evaluation retrieved.

An evaluation run with its status, progress, metrics, and timeline.

runId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
evaluatorId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
status
enum<string>
required

The current status of an evaluation run.

Available options:
queued,
running,
completed,
failed,
cancelled,
cancelling
progress
Evaluation Progress · object
required

Progress information for an evaluation run.

metrics
Evaluation Metrics · object
required

Aggregated metrics for an evaluation run.

timeline
Evaluation Run Timeline · object
required

Timestamp information for an evaluation run.

datasetId
string

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80